Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class AttributeDesignator

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.AttributeDesignator`

Direct Known Subclasses:
  Attribute

public class AttributeDesignator
extends oracle.security.xmlsec.util.XMLElement

The AttributeDesignator element identifies an attribute name within an attribute namespace.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`` | `AttributeDesignator(org.w3c.dom.Document owner)` Creates a new `AttributeDesignator` instance.
`protected` | `AttributeDesignator(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `AttributeDesignator` instance.
`` | `AttributeDesignator(org.w3c.dom.Element element)` Creates a new `AttributeDesignator` instance from the given Element node.
`` | `AttributeDesignator(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AttributeDesignator` instance from the given Element node.

Method Summary
`java.lang.String` | `getAttributeName()` Gets the name of the attribute.
`java.lang.String` | `getAttributeNamespace()` Gets the namespace in which the AttributeName element is interpreted.
`void` | `setAttributeName(java.lang.String attributeName)` Sets the name of the attribute.
`void` | `setAttributeNamespace(java.lang.String uri)` Sets the namespace in which the AttributeName element is interpreted.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDesignator

    public AttributeDesignator(org.w3c.dom.Element element)
                        throws org.w3c.dom.DOMException

  Creates a new `AttributeDesignator` instance from the given Element node.
Parameters:
  `element` - An AttributeDesignator element.

### AttributeDesignator

    public AttributeDesignator(org.w3c.dom.Element element,
                               java.lang.String systemId)
                        throws org.w3c.dom.DOMException

  Creates a new `AttributeDesignator` instance from the given Element node.
Parameters:
  `element` - An AttributeDesignator element.
  `systemId` - The URI string system ID for the `AttributeDesignator`.

### AttributeDesignator

    public AttributeDesignator(org.w3c.dom.Document owner)
                        throws org.w3c.dom.DOMException

  Creates a new `AttributeDesignator` instance.
Parameters:
  `owner` - The owner document of the new AttributeDesignator.

### AttributeDesignator

    protected AttributeDesignator(org.w3c.dom.Document owner,
                                  java.lang.String uri,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  Creates a new `AttributeDesignator` instance.
Parameters:
  `owner` - The owner document of the new AttributeDesignator.
  `localName` - The local name of the new AttributeDesignator.

Method Detail

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)

  Sets the name of the attribute.
  Parameters:
    `attributeName` - The String name of the attribute.

### getAttributeName

    public java.lang.String getAttributeName()

  Gets the name of the attribute.
  Returns:
    A String object or `null` if none has been set.

### setAttributeNamespace

    public void setAttributeNamespace(java.lang.String uri)

  Sets the namespace in which the AttributeName element is interpreted.
  Parameters:
    `uri` - The `URI` representing the namespace.

### getAttributeNamespace

    public java.lang.String getAttributeNamespace()

  Gets the namespace in which the AttributeName element is interpreted.
  Returns:
    A `URI` as a String object, or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.